package xyz.thastertyn.Scrape;

import java.io.IOException;
import java.net.UnknownHostException;
import java.util.ArrayList;

import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;

import xyz.thastertyn.Types.Choice;
import xyz.thastertyn.Types.Options;

public class Sdeleni extends JecnaScrape {
	
	ArrayList<xyz.thastertyn.Types.Sdeleni> sdeleniList = new ArrayList<>(); 

	public void download() throws UnknownHostException, IOException
	{
		Document sdeleniDoc = Downloader.download("https://www.spsejecna.cz/user-student/record-list").get();

		Elements sdeleni = sdeleniDoc.select("ul.list li");

		for(Element e : sdeleni)
		{
			boolean isPositive = false;
			String label = "";

			Elements spans = e.select("li").select("a.item").select("span");

			isPositive = spans.get(0).hasClass("sprite-icon-tick-16");
			label = spans.get(1).text();

			sdeleniList.add(new xyz.thastertyn.Types.Sdeleni(label, isPositive));
		}
	}

	public ArrayList<xyz.thastertyn.Types.Sdeleni> getSdeleni()
	{
		return sdeleniList;
	}

	@Override
	public Options[] getOptions() {
		return null;
	}

	@Override
	public void download(Choice choice) throws IOException {}
}
